version: "2"
services:
  redis:
    image: "redis:alpine"
    ports:
      - "6379:6379"
    volumes:
      - ".:/code"
    restart: "no"

  db:
    # https://hub.docker.com/r/mdillon/postgis/
    image: mdillon/postgis
    # Refer to https://hub.docker.com/_/postgres/ for other possibilities
    environment:
      POSTGRES_USER: scoopcor
      POSTGRES_PASSWORD: hobbes
      POSTGRES_DB: scoopcor_test
      PGDATA: /var/lib/postgresql/data
    ports:
      - "5432:5432"
    volumes:
      - ./docker/sql-init:/docker-entrypoint-initdb.d
     # Mount your data directory so your database may be persisted
     # - /tmp/docker_postgres/:q:/var/lib/postgresql/data
     #*** If you have no existing database, comment the following the first-run
     #*** Empty data directory triggers initdb to be run
     # Customize access control to overwrite the default
     #- path/to/pg_hba.conf:/var/lib/postgresql/data/pg_hba.conf:ro
     # Customize server tuning parameters to overwrite the default
     #- path/to/postgresql.conf:/var/lib/postgresql/data/postgresql.conf:ro
    restart: "no"

  # solr:
  #  image: solr:alpine
